use super::schema::{klassen, vertretungen};

#[derive(Queryable, Debug, Serialize)]
pub struct Stunden {
    pub id: i32,
    pub title: String,
    pub short: String,
    pub ordinal: i32,
}

#[derive(Identifiable, Queryable, Debug, Serialize, Associations)]
#[belongs_to(Klassen)]
#[belongs_to(Stunden)]
#[table_name = "vertretungen"]
pub struct Vertretungen {
    pub id: i32,
    pub klassen_id: i32,
    pub stunden_id: i32,
    pub fehlend: String,
    pub vertretung: String,
    pub kommentar: String,
}

#[derive(Identifiable, Queryable, Debug, Serialize)]
#[table_name = "klassen"]
pub struct Klassen {
    pub id: i32,
    pub stufe: i32,
    pub gruppe: String,
    pub titel: Option<String>,
    pub ordnung: i32,
}

#[derive(Insertable)]
#[table_name = "klassen"]
pub struct NewKlassen {
    pub stufe: i32,
    pub gruppe: String,
    pub titel: Option<String>,
    pub ordnung: i32,
}
